gnutls_pubkey_import_tpm_url(3)

NAME
gnutls_pubkey_import_tpm_url - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_tpm_url(gnutls_pubkey_t pkey, const char* url, const char * srk_password, unsigned int flags);

ARGUMENTS

gnutls_pubkey_t pkey
    The public key

const char* url
    The URL of the TPM key to be imported

const char * srk_password
    The password for the SRK key (optional)

unsigned int flags
    should be zero

DESCRIPTION
This function will import the given private key to the abstract gnutls_privkey_t structure. Note that unless GNUTLS_PUBKEY_DISABLE_CALLBACKS is specified, if incorrect (or NULL) passwords are given the PKCS11 callback functions will be used to obtain the correct passwords. Otherwise if the SRK password is wrong GNUTLS_E_TPM_SRK_PASSWORD_ERROR is returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/